Bank List Inquiry API
Retrieves the list of banks available to the merchant. The result can be used to build the bank selection UI.
API Information
POST/v1/api/bank/list
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/bank/list운영
https://npay.settlebank.co.kr/v1/api/bank/listRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
NOTE
Signature composition
mchtId + reqDt + reqTm + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└dataCntN(4)Numeric, up to 4 bytes*Number of banks.
10Number of banks.
└bankRecordsObject List*Bank list.
[{"recordBankCd":"004", "recordBankNm":"KB Kookmin Bank", "recordUseYn":"Y"}]Bank list.
bankRecords Detail Fields
└recordBankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
004Bank code.
└recordBankNmAN(45)Alphanumeric, up to 45 bytes*Bank name.
KB Kookmin BankBank name.
└recordBankOrdN(2)Numeric, up to 2 bytes*Display order in the UI.
1Display order in the UI.
└recordUseYnA(1)Alphabetic, up to 1 bytes*Bank availability status.
YBank availability status.
Y: Available N: UnavailableNeed technical support?
Code Samples
HectoFinancial GitHub